
/*SQL added by SAGAR on 15/01/14 */
INSERT INTO OBJ_ACTIONS (OBJ_NAME,LINE_NO,DESCRIPTION,SERVICE_CODE,INTERACTIVE,RIGHTS_CHAR,TITLE,FORM_NO,SERVICE_HANDLER,ACTION_TYPE,CHG_DATE,CHG_TERM,CHG_USER)
VALUES ('consume_order',9,'Action button for consumption order stock','cons_stock','a','R','Default','2','3','U',SYSDATE,'BASE','BASE');


INSERT INTO system_events(OBJ_NAME,EVENT_CODE,EVENT_CONTEXT,SERVICE_CODE,OVERWRITE_CORE,CHG_DATE,CHG_USER,CHG_TERM,RESULT_HANDLE,COMP_TYPE,COMP_NAME)
VALUES ('consume_order','cons_stock','1','act_cons_stock','0',SYSDATE,'BASE','BASE','2','EJB','ConsumeOrdStkAct');

INSERT INTO system_event_services(SERVICE_CODE,SERVICE_DESCR,SERVICE_URI,SERVICE_PROVIDER,METHOD_NAME,RETURN_VALUE,RETURN_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','Action To Get Item','http://localhost:9090/axis/services/ActionHandlerService','Base Information','actionHandler','String','S',SYSDATE,'BASE','BASE') 


INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','1','COMPONENT_TYPE','I','Component Type','C.String',SYSDATE,'BASE','BASE','EJB');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','2','COMPONENT_NAME','I','Component Name','C.String',SYSDATE,'BASE','BASE','ConsumeOrdStkAct');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM,ARG_VALUE)
VALUES('act_cons_stock','3','ACTION_TYPE','I','Action Type','C.String',SYSDATE,'BASE','BASE','def_items');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','4','XML_DATA','I','XML data for Current form','S',SYSDATE,'BASE','BASE');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','5','XML_DATA_1','I','XML data of form no 1','S',SYSDATE,'BASE','BASE');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','6','OBJ_CONTEXT','I','Object context','S',SYSDATE,'BASE','BASE');

INSERT INTO system_service_args(SERVICE_CODE,LINE_NO,ARG_NAME,ARG_MODE,DESCR,ARG_TYPE,CHG_DATE,CHG_USER,CHG_TERM)
VALUES('act_cons_stock','7','XTRA_PARAMS','I','Extra Arguments','S',SYSDATE,'BASE','BASE');







  


